alter table construct_node add index (construct_id);
alter table construct_node add index (node_id);
optimize table construct_node;

alter table type add index (name);
optimize table type;

alter table part add index (construct_id);
alter table part add index (partorder);
optimize table part;

alter table value add index (part_id);
alter table value add index (info);
alter table value add index (templatetag_id);
alter table value add index (contenttag_id);
alter table value add index (globaltag_id);
alter table value add index (objtag_id);
alter table value add index (value_ref);
alter table value add index (static);
alter table value add index(part_id,templatetag_id,contenttag_id,objtag_id);
optimize table value;

alter table templatetag add index (template_id);
alter table templatetag add index (name);
optimize table templatetag;

alter table contenttag add index (content_id);
alter table contenttag add index (construct_id);
alter table contenttag add index (name);
alter table contenttag add index (content_id, name);
optimize table contenttag;

alter table objtag add index (obj_id);
alter table objtag add index (obj_type);
alter table objtag add index (name);
alter table objtag add index (intag);
optimize table objtag;

alter table folder add index (mother);
alter table folder add index (type_id);
alter table folder add index(node_id);
optimize table folder;

alter table node add index (folder_id);
optimize table node;

alter table template add index (folder_id);
optimize table template;

alter table template_folder add index (template_id);
alter table template_folder add index (folder_id);
optimize table template_folder;

alter table page add index (content_id);
alter table page add index (folder_id);
alter table page add index (template_id);
alter table page add index (name);
alter table page add index (contentset_id);
alter table page add index (contentgroup_id);
optimize table page;

alter table contenttable add index (templatetag_id);
alter table contenttable add index (contenttag_id);
optimize table contenttable;

alter table ds add index (templatetag_id);
alter table ds add index (objtag_id);
alter table ds add index (is_folder);
optimize table ds;

alter table ds_obj add index (o_id);
alter table ds_obj add index (contenttag_id);
alter table ds_obj add index (templatetag_id);
alter table ds_obj add index (objtag_id);
optimize table ds_obj;

alter table publish add index (page_id);
optimize table publish;

alter table contentfile add index(name);
alter table contentfile add index(folder_id);
optimize table contentfile;

alter table objtranslatecache add index(cachekey);
alter table objtranslatecache add index(o_id,o_type);
optimize table objtranslatecache;

alter table cnstatval add index (cnstatconfig_id);
optimize table cnstatval;

alter table contenttag_nodeversion add index(id);
alter table value_nodeversion add index(id);
alter table value_nodeversion add index(contenttag_id); 
alter table ds_obj_nodeversion add index(id);
alter table ds_obj_nodeversion add index(contenttag_id);
alter table ds_nodeversion add index(id);
alter table ds_nodeversion add index(contenttag_id);
alter table contenttag_nodeversion add index(content_id);

alter table contentmap add index(contentid);
alter table contentmap add index(obj_type);
alter table contentmap add index(obj_id);
alter table contentmap add index(motherid,contentid);
alter table contentmap add index(motherid);
optimize table contentmap;

alter table contentattribute add index(contentid);
alter table contentattribute add index(name);
alter table contentattribute add index(contentid,name);
optimize table contentattribute;

alter table contentattributetype add index(name);
optimize table contentattributetype;

alter table logcmd add index(o_id, o_type, timestamp);
optimize table logcmd;
